<?php
// conf variables from ini file
// WARNING: should be outside webroot
$ini = parse_ini_file('/var/textgrid/tgaccount/tgaccount.ini');

// path
$conf['path'] = $_SERVER['DOCUMENT_ROOT'].'/tgaccount/';
$conf['url'] = $ini['host'];

// sqlite db settings 
// WARNING: database should be outside webroot and needs to be writable by www user
$conf['sqlite']['path'] = $ini['sqlitePath'];

// ldap-settings
$conf['ldap']['host'] = $ini['ldapHost'];
$conf['ldap']['port'] = $ini['ldapPort'];
$conf['ldap']['tls'] = $ini['ldapTLS'];
$conf['ldap']['managerdn'] = $ini['managerdn'];
$conf['ldap']['managerpassword'] = $ini['managerpassword'];
$conf['ldap']['debug'] = false;

// imap
$conf['imap']['sender'] = $ini['mailSender'];
$conf['imap']['cc'] = $ini['mailCC'];
 
// textgrid-sandbox
$conf['sandbox'][0] = 'TGPR30';
$conf['sandbox'][1] = 'TGPR31';

// smarty
$conf['smarty']['incPath'] = $ini['smartyLib'];
$conf['smarty']['path'] = $conf['path'].'smarty/';

?>
